<ng-container *ngIf='vm$ | async as vm'>
  <!-- Mobile Menu Bar -->
  <div class='bg-gray-900 text-gray-100 dark:text-white flex justify-between md:hidden z-10'>
    <!--  mobile menu button -->
    <button (click)='toggleMenu()' class='p-4 focus:outline-none focus:bg-gray-700'>
      <simulator-icon class='h-5 w-5' size='lg' icon='burger'></simulator-icon>
    </button>
    <button
      (click)='syncHandler(vm.user?.isSynced)'
      [ngClass]="{'dark:text-white text-white': vm.user?.isSynced, 'text-rose-800': !vm.user?.isSynced}"
      class='inline-flex items-center text-sm font-medium'>
      <simulator-icon class='animate-ping -ml-0.5 mr-1.5 w-2'
                      [ngClass]="{'text-green-400': vm.user?.isSynced, 'text-rose-400': !vm.user?.isSynced}"size='sm'
                      icon='dot'></simulator-icon>
      {{vm.user?.isSynced ? 'Synced' : 'Not Synced'}}
    </button>
    <button (click)='toggleDarkMode()' class='flex mr-6 items-center cursor-pointer
         focus:outline-none'>
      <simulator-icon size='lg'
                      [ngClass]="{'text-yellow-300': vm.icon === uiIcon.sun,
                    'text-white': vm.icon === uiIcon.moon}" [icon]='vm.icon'>
      </simulator-icon>
    </button>
  </div>
  <!-- sidebar -->
  <div [ngClass]="{'-translate-x-full': !vm.showMenu,
  'bg-gray-900 dark:bg-gray-900': vm.showMenu, 'text-light': vm.showMenu, 'dark:text-white text-gray-500': !vm.showMenu}"
       class='z-10 w-64 min-h-screen
  space-y-6 px-2 absolute md:relative md:translate-x-0 inset-y-0 left-0 transform transition duration-200
 ease-in-out pt-2 md:mt-10 margin-sidenav'>
    <nav>
      <a
        *ngFor='let navItem of vm.navItems'
        [routerLink]='navItem.path'
        (click)='closeMenu()'
        [ngClass]='{"show-item": vm.showMenu}'
        [routerLinkActiveOptions]='{ exact: false }'
        routerLinkActive='{{vm.showMenu ? "is-active-menu" : "is-active font-bold dark:text-white text-light"}}'
        class='block flex py-3.5 px-4 rounded hover:bg-indigo-500 hover:text-white hover:font-bold duration-200'
      >
        <simulator-icon class='mr-6 text-{{navItem.color}}' size='sm' [icon]='navItem.icon'></simulator-icon>
        <span class='truncate'>
      {{ navItem.label }}
    </span>
      </a>
      <a
        (click)='logout()'
        [ngClass]='{"show-item": vm.showMenu}'
        class='block flex py-3.5 px-4 rounded hover:bg-indigo-500 hover:text-white hover:font-bold duration-200 cursor-pointer'>
        <simulator-icon class='mr-6' size='sm' icon='logout'></simulator-icon>
        <span class='truncate'>
      Logout
    </span>
      </a>
    </nav>
  </div>
</ng-container>
